Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.web.util
Class VisitFacade

    java.lang.Object
      com.pmease.quickbuild.web.util.VisitFacade

All Implemented Interfaces:
  java.io.Serializable

public class VisitFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for Visit.

See Also:
  Serialized Form

Constructor Summary
`VisitFacade()`

Method Summary
`java.util.Set` | `getConfigurationSelectorState()`
`java.util.Set` | `getConfigurationTreeState()`
`java.util.Set` | `getDashBoardTreeState()`
`java.lang.Long` | `getSelectedConfigurationId()` The configuration id currently selected from configuration explorer.
`boolean` | `isAutoRefresh()`
`void` | `setAutoRefresh(boolean autoRefresh)`
`void` | `setConfigurationSelectorState(java.util.Set configurationSelectorState)`
`void` | `setConfigurationTreeState(java.util.Set configurationTreeState)`
`void` | `setDashBoardTreeState(java.util.Set dashBoardTreeState)`
`void` | `setSelectedConfigurationId(java.lang.Long selectedConfigurationId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisitFacade

    public VisitFacade()

Method Detail

### getSelectedConfigurationId

    public java.lang.Long getSelectedConfigurationId()

  The configuration id currently selected from configuration explorer.

### setSelectedConfigurationId

    public void setSelectedConfigurationId(java.lang.Long selectedConfigurationId)

### getConfigurationTreeState

    public java.util.Set getConfigurationTreeState()

### setConfigurationTreeState

    public void setConfigurationTreeState(java.util.Set configurationTreeState)

### getConfigurationSelectorState

    public java.util.Set getConfigurationSelectorState()

### setConfigurationSelectorState

    public void setConfigurationSelectorState(java.util.Set configurationSelectorState)

### isAutoRefresh

    public boolean isAutoRefresh()

### setAutoRefresh

    public void setAutoRefresh(boolean autoRefresh)

### getDashBoardTreeState

    public java.util.Set getDashBoardTreeState()

### setDashBoardTreeState

    public void setDashBoardTreeState(java.util.Set dashBoardTreeState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.